Sourcefabric Manuals

 English |  Español |  Français |  Italiano |  Português |  Русский |  Shqip

Booktype 2.0 for Authors and Publishers

Manual upgrade on GNU/Linux

If your Booktype instances have been installed manually via git, you can upgrade them at any time by following changes in the Booktype git repository. Don't forget to commit or stash any local modifications to your instances before pulling from the origin.

First, change to the directory where Booktype sources were downloaded, and update them from the 2.0 branch:

cd /usr/local/src/booktype/
sudo git pull origin 2.0

Change to the directory that contains the instance you wish to upgrade:

cd /var/www/booktype/instance1/

Switch to the user which runs the Apache web server, and perform the migration:

sudo su www-data
./manage.py migrate
./manage.py update_permissions
./manage.py update_default_roles
./manage.py collectstatic --noinput
exit

Finally, restart the Celery workers and reload the Apache configuration:

sudo supervisorctl restart all
sudo service apache2 reload

Changes in requirements

When upgrading to a new release of Booktype, it may be necessary to update library dependencies from one of the 'requirements' files associated with Booktype profiles. To do this, repeat the 'pip install' step carried out when you originally installed Booktype. For example, in the case of the production profile:

sudo pip install -r /usr/local/src/booktype/requirements/prod.txt

There has been error in communication with Booktype server. Not sure right now where is the problem.

You should refresh this page.